Index: LMDZ6/trunk/libf/phylmd/Dust/condsurfc.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/condsurfc.f90	(revision 5269)
+++ LMDZ6/trunk/libf/phylmd/Dust/condsurfc.f90	(revision 5270)
@@ -4,4 +4,5 @@
         lmt_omnat)
   USE dimphy
+  USE netcdf, ONLY: nf90_close, nf90_noerr, nf90_inq_varid, nf90_open, nf90_nowrite, nf90_get_var
   IMPLICIT none
   !
@@ -10,5 +11,4 @@
   !
   INCLUDE "dimensions.h"
-  INCLUDE "netcdf.inc"
 
   REAL :: lmt_bcff(klon), lmt_bcbb(klon),lmt_bc_penner(klon)
@@ -34,6 +34,6 @@
   ENDIF
   !
-  ierr = NF_OPEN ("limitcarbon.nc", NF_NOWRITE, nid1)
-  if (ierr.ne.NF_NOERR) then
+  ierr = nf90_open ("limitcarbon.nc", nf90_nowrite, nid1)
+  if (ierr.ne.nf90_noerr) then
     write(6,*)' Pb d''ouverture du fichier limitbc.nc'
     write(6,*)' ierr = ', ierr
@@ -48,15 +48,15 @@
   !
   !
-  ierr = NF_INQ_VARID (nid1, "BCFF", nvarid)
+  ierr = nf90_inq_varid(nid1, "BCFF", nvarid)
   !nhl #ifdef NC_DOUBLE
-  ierr = NF_GET_VARA_DOUBLE (nid1, nvarid, debut, epais, lmt_bcff)
+  ierr = nf90_get_var(nid1, nvarid, lmt_bcff, debut, epais)
    ! print *,'IERR = ',ierr
-   ! print *,'NF_NOERR = ',NF_NOERR
+   ! print *,'nf90_noerr = ',nf90_noerr
    ! print *,'debut = ',debut
    ! print *,'epais = ',epais
   !nhl #else
-  !nhl       ierr = NF_GET_VARA_REAL (nid1, nvarid, debut, epais, lmt_bcff)
+  !nhl       ierr = nf90_get_var(nid1, nvarid, lmt_bcff, debut, epais)
   !nhl #endif
-  IF (ierr .NE. NF_NOERR) THEN
+  IF (ierr .NE. nf90_noerr) THEN
      PRINT*, 'Pb de lecture pour les sources BC'
      CALL exit(1)
@@ -64,11 +64,11 @@
   !
   !
-  ierr = NF_INQ_VARID (nid1, "BCBB", nvarid)
+  ierr = nf90_inq_varid(nid1, "BCBB", nvarid)
   !nhl #ifdef NC_DOUBLE
-  ierr = NF_GET_VARA_DOUBLE (nid1, nvarid, debut, epais, lmt_bcbb)
+  ierr = nf90_get_var(nid1, nvarid, lmt_bcbb, debut, epais)
   !nhl #else
-  !nhl       ierr = NF_GET_VARA_REAL (nid1, nvarid, debut, epais, lmt_bcbb)
+  !nhl       ierr = nf90_get_var(nid1, nvarid, lmt_bcbb, debut, epais)
   !nhl #endif
-  IF (ierr .NE. NF_NOERR) THEN
+  IF (ierr .NE. nf90_noerr) THEN
      PRINT*, 'Pb de lecture pour les sources BC-biomass'
      CALL exit(1)
@@ -76,11 +76,11 @@
   !
   !
-  ierr = NF_INQ_VARID (nid1, "BCBL", nvarid)
+  ierr = nf90_inq_varid(nid1, "BCBL", nvarid)
   !nhl #ifdef NC_DOUBLE
-  ierr = NF_GET_VARA_DOUBLE (nid1, nvarid, debut, epais, lmt_bcbbl)
+  ierr = nf90_get_var(nid1, nvarid, lmt_bcbbl, debut, epais)
   !nhl #else
-  !nhl       ierr = NF_GET_VARA_REAL (nid1, nvarid, debut, epais, lmt_bcbbl)
+  !nhl       ierr = nf90_get_var(nid1, nvarid, lmt_bcbbl, debut, epais)
   !nhl #endif
-  IF (ierr .NE. NF_NOERR) THEN
+  IF (ierr .NE. nf90_noerr) THEN
      PRINT*, 'Pb de lecture pour les sources BC low'
      CALL exit(1)
@@ -88,22 +88,22 @@
   !
   !
-  ierr = NF_INQ_VARID (nid1, "BCBH", nvarid)
+  ierr = nf90_inq_varid(nid1, "BCBH", nvarid)
   !nhl #ifdef NC_DOUBLE
-  ierr = NF_GET_VARA_DOUBLE (nid1, nvarid, debut, epais, lmt_bcbbh)
+  ierr = nf90_get_var(nid1, nvarid, lmt_bcbbh, debut, epais)
   !nhl #else
-  !nhl       ierr = NF_GET_VARA_REAL (nid1, nvarid, debut, epais, lmt_bcbbh)
+  !nhl       ierr = nf90_get_var(nid1, nvarid, lmt_bcbbh, debut, epais)
   !nhl #endif
-  IF (ierr .NE. NF_NOERR) THEN
+  IF (ierr .NE. nf90_noerr) THEN
      PRINT*, 'Pb de lecture pour les sources BC high'
      CALL exit(1)
   ENDIF
   !
-  ierr = NF_INQ_VARID (nid1, "TERP", nvarid)
+  ierr = nf90_inq_varid(nid1, "TERP", nvarid)
   !nhl #ifdef NC_DOUBLE
-  ierr = NF_GET_VARA_DOUBLE (nid1, nvarid, debut, epais, lmt_terp)
+  ierr = nf90_get_var(nid1, nvarid, lmt_terp, debut, epais)
   !nhl #else
-  !nhl       ierr = NF_GET_VARA_REAL (nid1, nvarid, debut, epais, lmt_terp)
+  !nhl       ierr = nf90_get_var(nid1, nvarid, lmt_terp, debut, epais)
   !nhl #endif
-  IF (ierr .NE. NF_NOERR) THEN
+  IF (ierr .NE. nf90_noerr) THEN
      PRINT*, 'Pb de lecture pour les sources Terpene'
      CALL exit(1)
@@ -111,13 +111,8 @@
   !
   !
-  ierr = NF_INQ_VARID (nid1, "BC_penner", nvarid)
-  !nhl #ifdef NC_DOUBLE
-  ierr = NF_GET_VARA_DOUBLE (nid1, nvarid, debut, &
-        epais, lmt_bc_penner)
-  !nhl #else
-  !nhl       ierr = NF_GET_VARA_REAL (nid1, nvarid, debut, epais,
-  !nhl      .       lmt_bc_penner)
-  !nhl #endif
-  IF (ierr .NE. NF_NOERR) THEN
+  ierr = nf90_inq_varid(nid1, "BC_penner", nvarid)
+  ierr = nf90_get_var(nid1, nvarid, lmt_bc_penner, debut, &
+        epais)
+  IF (ierr .NE. nf90_noerr) THEN
      PRINT*, 'Pb de lecture pour les sources BC Penner'
      CALL exit(1)
@@ -125,11 +120,11 @@
   !
   !
-  ierr = NF_INQ_VARID (nid1, "OMFF", nvarid)
+  ierr = nf90_inq_varid(nid1, "OMFF", nvarid)
   !nhl #ifdef NC_DOUBLE
-  ierr = NF_GET_VARA_DOUBLE (nid1, nvarid, debut, epais, lmt_omff)
+  ierr = nf90_get_var(nid1, nvarid, lmt_omff, debut, epais)
   !nhl #else
-  !nhl       ierr = NF_GET_VARA_REAL (nid1, nvarid, debut, epais, lmt_omff)
+  !nhl       ierr = nf90_get_var(nid1, nvarid, lmt_omff, debut, epais)
   !nhl #endif
-  IF (ierr .NE. NF_NOERR) THEN
+  IF (ierr .NE. nf90_noerr) THEN
      PRINT*, 'Pb de lecture pour les sources om-ifossil'
      CALL exit(1)
@@ -144,5 +139,5 @@
   ENDDO
   !
-  ierr = NF_CLOSE(nid1)
+  ierr = nf90_close(nid1)
   PRINT*, 'Carbon sources lues pour jour: ', jour
   !
Index: LMDZ6/trunk/libf/phylmd/Dust/condsurfc_new.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/condsurfc_new.f90	(revision 5269)
+++ LMDZ6/trunk/libf/phylmd/Dust/condsurfc_new.f90	(revision 5270)
@@ -6,4 +6,5 @@
   USE mod_phys_lmdz_para
   USE dimphy
+  USE netcdf, ONLY: nf90_get_var, nf90_close, nf90_noerr, nf90_inq_varid, nf90_open, nf90_nowrite
   IMPLICIT none
   !
@@ -12,5 +13,4 @@
   !
   INCLUDE "dimensions.h"
-  INCLUDE "netcdf.inc"
 
   REAL :: lmt_bcff(klon), lmt_bcnff(klon), lmt_bcba(klon)
@@ -57,6 +57,6 @@
   !=======================================================================
   !
-  ierr = NF_OPEN ("carbon_emissions.nc", NF_NOWRITE, nid1)
-  if (ierr.ne.NF_NOERR) then
+  ierr = nf90_open ("carbon_emissions.nc", nf90_nowrite, nid1)
+  if (ierr.ne.nf90_noerr) then
     write(6,*)' Pb d''ouverture du fichier limitbc.nc'
     write(6,*)' ierr = ', ierr
@@ -66,8 +66,8 @@
   ! BC emissions from fossil fuel combustion
   !
-  ierr = NF_INQ_VARID (nid1, "BCFF", nvarid)
-  ierr = NF_GET_VARA_DOUBLE (nid1, nvarid, debut, epais, &
-        lmt_bcff_glo)
-  IF (ierr .NE. NF_NOERR) THEN
+  ierr = nf90_inq_varid(nid1, "BCFF", nvarid)
+  ierr = nf90_get_var(nid1, nvarid, &
+        lmt_bcff_glo, debut, epais)
+  IF (ierr .NE. nf90_noerr) THEN
      PRINT*, 'Pb de lecture pour les sources BC'
      CALL exit(1)
@@ -78,8 +78,8 @@
   ! BC emissions from non fossil fuel combustion
   !
-  ierr = NF_INQ_VARID (nid1, "BCNFF", nvarid)
-  ierr = NF_GET_VARA_DOUBLE (nid1, nvarid, debut, epais, &
-        lmt_bcnff_glo)
-  IF (ierr .NE. NF_NOERR) THEN
+  ierr = nf90_inq_varid(nid1, "BCNFF", nvarid)
+  ierr = nf90_get_var(nid1, nvarid, &
+        lmt_bcnff_glo, debut, epais)
+  IF (ierr .NE. nf90_noerr) THEN
      PRINT*, 'Pb de lecture pour les sources BC'
      CALL exit(1)
@@ -88,8 +88,8 @@
   ! Low BC emissions from biomass burning
   !
-  ierr = NF_INQ_VARID (nid1, "BCBBL", nvarid)
-  ierr = NF_GET_VARA_DOUBLE (nid1, nvarid, debut, epais, &
-        lmt_bcbbl_glo)
-  IF (ierr .NE. NF_NOERR) THEN
+  ierr = nf90_inq_varid(nid1, "BCBBL", nvarid)
+  ierr = nf90_get_var(nid1, nvarid, &
+        lmt_bcbbl_glo, debut, epais)
+  IF (ierr .NE. nf90_noerr) THEN
      PRINT*, 'Pb de lecture pour les sources BC low'
      CALL exit(1)
@@ -98,8 +98,8 @@
   ! High BC emissions from biomass burning
   !
-  ierr = NF_INQ_VARID (nid1, "BCBBH", nvarid)
-  ierr = NF_GET_VARA_DOUBLE (nid1, nvarid, debut, epais, &
-        lmt_bcbbh_glo)
-  IF (ierr .NE. NF_NOERR) THEN
+  ierr = nf90_inq_varid(nid1, "BCBBH", nvarid)
+  ierr = nf90_get_var(nid1, nvarid, &
+        lmt_bcbbh_glo, debut, epais)
+  IF (ierr .NE. nf90_noerr) THEN
      PRINT*, 'Pb de lecture pour les sources BC high'
      CALL exit(1)
@@ -108,8 +108,8 @@
   ! BC emissions from ship transport
   !
-  ierr = NF_INQ_VARID (nid1, "BCBA", nvarid)
-  ierr = NF_GET_VARA_DOUBLE (nid1, nvarid, debut, epais, &
-        lmt_bcba_glo)
-  IF (ierr .NE. NF_NOERR) THEN
+  ierr = nf90_inq_varid(nid1, "BCBA", nvarid)
+  ierr = nf90_get_var(nid1, nvarid, &
+        lmt_bcba_glo, debut, epais)
+  IF (ierr .NE. nf90_noerr) THEN
      PRINT*, 'Pb de lecture pour les sources BC'
      CALL exit(1)
@@ -124,8 +124,8 @@
   ! OM emissions from fossil fuel combustion
   !
-  ierr = NF_INQ_VARID (nid1, "OMFF", nvarid)
-  ierr = NF_GET_VARA_DOUBLE (nid1, nvarid, debut, epais, &
-        lmt_omff_glo)
-  IF (ierr .NE. NF_NOERR) THEN
+  ierr = nf90_inq_varid(nid1, "OMFF", nvarid)
+  ierr = nf90_get_var(nid1, nvarid, &
+        lmt_omff_glo, debut, epais)
+  IF (ierr .NE. nf90_noerr) THEN
      PRINT*, 'Pb de lecture pour les sources OM'
      CALL exit(1)
@@ -134,8 +134,8 @@
   ! OM emissions from non fossil fuel combustion
   !
-  ierr = NF_INQ_VARID (nid1, "OMNFF", nvarid)
-  ierr = NF_GET_VARA_DOUBLE (nid1, nvarid, debut, epais, &
-        lmt_omnff_glo)
-  IF (ierr .NE. NF_NOERR) THEN
+  ierr = nf90_inq_varid(nid1, "OMNFF", nvarid)
+  ierr = nf90_get_var(nid1, nvarid, &
+        lmt_omnff_glo, debut, epais)
+  IF (ierr .NE. nf90_noerr) THEN
      PRINT*, 'Pb de lecture pour les sources OM'
      CALL exit(1)
@@ -144,8 +144,8 @@
   ! Low OM emissions from biomass burning - low
   !
-  ierr = NF_INQ_VARID (nid1, "OMBBL", nvarid)
-  ierr = NF_GET_VARA_DOUBLE (nid1, nvarid, debut, epais, &
-        lmt_ombbl_glo)
-  IF (ierr .NE. NF_NOERR) THEN
+  ierr = nf90_inq_varid(nid1, "OMBBL", nvarid)
+  ierr = nf90_get_var(nid1, nvarid, &
+        lmt_ombbl_glo, debut, epais)
+  IF (ierr .NE. nf90_noerr) THEN
      PRINT*, 'Pb de lecture pour les sources OM low'
      CALL exit(1)
@@ -154,8 +154,8 @@
   ! High OM emissions from biomass burning - high
   !
-  ierr = NF_INQ_VARID (nid1, "OMBBH", nvarid)
-  ierr = NF_GET_VARA_DOUBLE (nid1, nvarid, debut, epais, &
-        lmt_ombbh_glo)
-  IF (ierr .NE. NF_NOERR) THEN
+  ierr = nf90_inq_varid(nid1, "OMBBH", nvarid)
+  ierr = nf90_get_var(nid1, nvarid, &
+        lmt_ombbh_glo, debut, epais)
+  IF (ierr .NE. nf90_noerr) THEN
      PRINT*, 'Pb de lecture pour les sources OM high'
      CALL exit(1)
@@ -164,8 +164,8 @@
   ! High OM emissions from ship
   !
-  ierr = NF_INQ_VARID (nid1, "OMBA", nvarid)
-  ierr = NF_GET_VARA_DOUBLE (nid1, nvarid, debut, epais, &
-        lmt_omba_glo)
-  IF (ierr .NE. NF_NOERR) THEN
+  ierr = nf90_inq_varid(nid1, "OMBA", nvarid)
+  ierr = nf90_get_var(nid1, nvarid, &
+        lmt_omba_glo, debut, epais)
+  IF (ierr .NE. nf90_noerr) THEN
      PRINT*, 'Pb de lecture pour les sources OM ship'
      CALL exit(1)
@@ -174,8 +174,8 @@
   ! Natural Terpene emissions => Natural OM emissions
   !
-  ierr = NF_INQ_VARID (nid1, "TERP", nvarid)
-  ierr = NF_GET_VARA_DOUBLE (nid1, nvarid, debut, epais, &
-        lmt_terp_glo)
-  IF (ierr .NE. NF_NOERR) THEN
+  ierr = nf90_inq_varid(nid1, "TERP", nvarid)
+  ierr = nf90_get_var(nid1, nvarid, &
+        lmt_terp_glo, debut, epais)
+  IF (ierr .NE. nf90_noerr) THEN
      PRINT*, 'Pb de lecture pour les sources Terpene'
      CALL exit(1)
@@ -186,5 +186,5 @@
   ENDDO
 
-  ierr = NF_CLOSE(nid1)
+  ierr = nf90_close(nid1)
   !
   PRINT*, 'Carbon sources lues pour jour: ', jour
Index: LMDZ6/trunk/libf/phylmd/Dust/condsurfs.f90
===================================================================
--- LMDZ6/trunk/libf/phylmd/Dust/condsurfs.f90	(revision 5269)
+++ LMDZ6/trunk/libf/phylmd/Dust/condsurfs.f90	(revision 5270)
@@ -4,4 +4,6 @@
         lmt_dmsbio, lmt_h2sbio, lmt_dms, lmt_dmsconc)
    USE dimphy
+   USE netcdf, ONLY: nf90_close, nf90_noerr, nf90_inq_varid, nf90_open, &
+          nf90_nowrite, nf90_get_var
   IMPLICIT none
   !
@@ -10,5 +12,4 @@
   !
   INCLUDE "dimensions.h"
-  INCLUDE "netcdf.inc"
   !
   REAL :: lmt_so2h(klon), lmt_so2b(klon), lmt_so2bb(klon)
@@ -34,6 +35,6 @@
   ENDIF
   !
-  ierr = NF_OPEN ("limitsoufre.nc", NF_NOWRITE, nid)
-  if (ierr.ne.NF_NOERR) then
+  ierr = nf90_open ("limitsoufre.nc", nf90_nowrite, nid)
+  if (ierr.ne.nf90_noerr) then
     write(6,*)' Pb d''ouverture du fichier limitsoufre.nc'
     write(6,*)' ierr = ', ierr
@@ -47,22 +48,22 @@
   epais(2) = 1
   !
-  ierr = NF_INQ_VARID (nid, "VOLC", nvarid)
-  !nhl #ifdef NC_DOUBLE
-  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut, epais, lmt_so2volc)
-  !nhl #else
-  !nhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_so2volc)
-  !nhl #endif
-  IF (ierr .NE. NF_NOERR) THEN
+  ierr = nf90_inq_varid(nid, "VOLC", nvarid)
+  !nhl #ifdef NC_DOUBLE
+  ierr = nf90_get_var(nid, nvarid, lmt_so2volc, debut, epais)
+  !nhl #else
+  !nhl       ierr = nf90_get_var(nid, nvarid, lmt_so2volc, debut, epais)
+  !nhl #endif
+  IF (ierr .NE. nf90_noerr) THEN
      PRINT*, 'Pb de lecture pour les sources so2 volcan'
      CALL exit(1)
   ENDIF
   !
-  ierr = NF_INQ_VARID (nid, "ALTI", nvarid)
-  !nhl #ifdef NC_DOUBLE
-  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut, epais, lmt_altvolc)
-  !nhl #else
-  !nhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_altvolc)
-  !nhl #endif
-  IF (ierr .NE. NF_NOERR) THEN
+  ierr = nf90_inq_varid(nid, "ALTI", nvarid)
+  !nhl #ifdef NC_DOUBLE
+  ierr = nf90_get_var(nid, nvarid, lmt_altvolc, debut, epais)
+  !nhl #else
+  !nhl       ierr = nf90_get_var(nid, nvarid, lmt_altvolc, debut, epais)
+  !nhl #endif
+  IF (ierr .NE. nf90_noerr) THEN
      PRINT*, 'Pb de lecture pour les altitudes volcan'
      CALL exit(1)
@@ -71,22 +72,22 @@
   IF (edgar) THEN   !--EDGAR w/o ship and biomass burning
   !
-  ierr = NF_INQ_VARID (nid, "SO2ED95L", nvarid)
-  !nhl #ifdef NC_DOUBLE
-  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut, epais, lmt_so2b)
-  !nhl #else
-  !nhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_so2b)
-  !nhl #endif
-  IF (ierr .NE. NF_NOERR) THEN
+  ierr = nf90_inq_varid(nid, "SO2ED95L", nvarid)
+  !nhl #ifdef NC_DOUBLE
+  ierr = nf90_get_var(nid, nvarid, lmt_so2b, debut, epais)
+  !nhl #else
+  !nhl       ierr = nf90_get_var(nid, nvarid, lmt_so2b, debut, epais)
+  !nhl #endif
+  IF (ierr .NE. nf90_noerr) THEN
      PRINT*, 'Pb de lecture pour les sources so2 edgar low'
      CALL exit(1)
   ENDIF
   !
-  ierr = NF_INQ_VARID (nid, "SO2ED95H", nvarid)
-  !nhl #ifdef NC_DOUBLE
-  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut, epais, lmt_so2h)
-  !nhl #else
-  !nhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_so2h)
-  !nhl #endif
-  IF (ierr .NE. NF_NOERR) THEN
+  ierr = nf90_inq_varid(nid, "SO2ED95H", nvarid)
+  !nhl #ifdef NC_DOUBLE
+  ierr = nf90_get_var(nid, nvarid, lmt_so2h, debut, epais)
+  !nhl #else
+  !nhl       ierr = nf90_get_var(nid, nvarid, lmt_so2h, debut, epais)
+  !nhl #endif
+  IF (ierr .NE. nf90_noerr) THEN
      PRINT*, 'Pb de lecture pour les sources so2 edgar high'
      CALL exit(1)
@@ -95,22 +96,22 @@
   ELSE  !--GEIA
   !
-  ierr = NF_INQ_VARID (nid, "SO2H", nvarid)
-  !nhl #ifdef NC_DOUBLE
-  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut, epais, lmt_so2h)
-  !nhl #else
-  !nhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_so2h)
-  !nhl #endif
-  IF (ierr .NE. NF_NOERR) THEN
+  ierr = nf90_inq_varid(nid, "SO2H", nvarid)
+  !nhl #ifdef NC_DOUBLE
+  ierr = nf90_get_var(nid, nvarid, lmt_so2h, debut, epais)
+  !nhl #else
+  !nhl       ierr = nf90_get_var(nid, nvarid, lmt_so2h, debut, epais)
+  !nhl #endif
+  IF (ierr .NE. nf90_noerr) THEN
      PRINT*, 'Pb de lecture pour les sources so2 haut'
      CALL exit(1)
   ENDIF
   !
-  ierr = NF_INQ_VARID (nid, "SO2B", nvarid)
-  !nhl #ifdef NC_DOUBLE
-  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut, epais, lmt_so2b)
-  !nhl #else
-  !nhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_so2b)
-  !nhl #endif
-  IF (ierr .NE. NF_NOERR) THEN
+  ierr = nf90_inq_varid(nid, "SO2B", nvarid)
+  !nhl #ifdef NC_DOUBLE
+  ierr = nf90_get_var(nid, nvarid, lmt_so2b, debut, epais)
+  !nhl #else
+  !nhl       ierr = nf90_get_var(nid, nvarid, lmt_so2b, debut, epais)
+  !nhl #endif
+  IF (ierr .NE. nf90_noerr) THEN
      PRINT*, 'Pb de lecture pour les sources so2 bas'
      CALL exit(1)
@@ -119,44 +120,44 @@
   ENDIF  !--edgar
   !
-  ierr = NF_INQ_VARID (nid, "SO2BB", nvarid)
-  !nhl #ifdef NC_DOUBLE
-  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut, epais, lmt_so2bb)
-  !nhl #else
-  !nhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_so2bb)
-  !nhl #endif
-  IF (ierr .NE. NF_NOERR) THEN
+  ierr = nf90_inq_varid(nid, "SO2BB", nvarid)
+  !nhl #ifdef NC_DOUBLE
+  ierr = nf90_get_var(nid, nvarid, lmt_so2bb, debut, epais)
+  !nhl #else
+  !nhl       ierr = nf90_get_var(nid, nvarid, lmt_so2bb, debut, epais)
+  !nhl #endif
+  IF (ierr .NE. nf90_noerr) THEN
      PRINT*, 'Pb de lecture pour les sources so2 bb'
      CALL exit(1)
   ENDIF
   !
-  ierr = NF_INQ_VARID (nid, "SO2BA", nvarid)
-  !nhl #ifdef NC_DOUBLE
-  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut, epais, lmt_so2ba)
-  !nhl #else
-  !nhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_so2ba)
-  !nhl #endif
-  IF (ierr .NE. NF_NOERR) THEN
+  ierr = nf90_inq_varid(nid, "SO2BA", nvarid)
+  !nhl #ifdef NC_DOUBLE
+  ierr = nf90_get_var(nid, nvarid, lmt_so2ba, debut, epais)
+  !nhl #else
+  !nhl       ierr = nf90_get_var(nid, nvarid, lmt_so2ba, debut, epais)
+  !nhl #endif
+  IF (ierr .NE. nf90_noerr) THEN
      PRINT*, 'Pb de lecture pour les sources so2 bateau'
      CALL exit(1)
   ENDIF
   !
-  ierr = NF_INQ_VARID (nid, "DMSB", nvarid)
-  !nhl #ifdef NC_DOUBLE
-  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut, epais, lmt_dmsbio)
-  !nhl #else
-  !nhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_dmsbio)
-  !nhl #endif
-  IF (ierr .NE. NF_NOERR) THEN
+  ierr = nf90_inq_varid(nid, "DMSB", nvarid)
+  !nhl #ifdef NC_DOUBLE
+  ierr = nf90_get_var(nid, nvarid, lmt_dmsbio, debut, epais)
+  !nhl #else
+  !nhl       ierr = nf90_get_var(nid, nvarid, lmt_dmsbio, debut, epais)
+  !nhl #endif
+  IF (ierr .NE. nf90_noerr) THEN
      PRINT*, 'Pb de lecture pour les sources dms bio'
      CALL exit(1)
   ENDIF
   !
-  ierr = NF_INQ_VARID (nid, "H2SB", nvarid)
-  !nhl #ifdef NC_DOUBLE
-  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut, epais, lmt_h2sbio)
-  !nhl #else
-  !nhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_h2sbio)
-  !nhl #endif
-  IF (ierr .NE. NF_NOERR) THEN
+  ierr = nf90_inq_varid(nid, "H2SB", nvarid)
+  !nhl #ifdef NC_DOUBLE
+  ierr = nf90_get_var(nid, nvarid, lmt_h2sbio, debut, epais)
+  !nhl #else
+  !nhl       ierr = nf90_get_var(nid, nvarid, lmt_h2sbio, debut, epais)
+  !nhl #endif
+  IF (ierr .NE. nf90_noerr) THEN
      PRINT*, 'Pb de lecture pour les sources h2s bio'
      CALL exit(1)
@@ -165,11 +166,11 @@
   IF (flag_dms.EQ.1) THEN
   !
-  ierr = NF_INQ_VARID (nid, "DMSL", nvarid)
-  !nhl #ifdef NC_DOUBLE
-  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut, epais, lmt_dms)
-  !nhl #else
-  !nhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_dms)
-  !nhl #endif
-  IF (ierr .NE. NF_NOERR) THEN
+  ierr = nf90_inq_varid(nid, "DMSL", nvarid)
+  !nhl #ifdef NC_DOUBLE
+  ierr = nf90_get_var(nid, nvarid, lmt_dms, debut, epais)
+  !nhl #else
+  !nhl       ierr = nf90_get_var(nid, nvarid, lmt_dms, debut, epais)
+  !nhl #endif
+  IF (ierr .NE. nf90_noerr) THEN
      PRINT*, 'Pb de lecture pour les sources dms liss'
      CALL exit(1)
@@ -178,11 +179,11 @@
   ELSEIF (flag_dms.EQ.2) THEN
   !
-  ierr = NF_INQ_VARID (nid, "DMSW", nvarid)
-  !nhl #ifdef NC_DOUBLE
-  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut, epais, lmt_dms)
-  !nhl #else
-  !nhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_dms)
-  !nhl #endif
-  IF (ierr .NE. NF_NOERR) THEN
+  ierr = nf90_inq_varid(nid, "DMSW", nvarid)
+  !nhl #ifdef NC_DOUBLE
+  ierr = nf90_get_var(nid, nvarid, lmt_dms, debut, epais)
+  !nhl #else
+  !nhl       ierr = nf90_get_var(nid, nvarid, lmt_dms, debut, epais)
+  !nhl #endif
+  IF (ierr .NE. nf90_noerr) THEN
      PRINT*, 'Pb de lecture pour les sources dms wann'
      CALL exit(1)
@@ -191,11 +192,11 @@
   ELSEIF (flag_dms.EQ.3) THEN
   !
-  ierr = NF_INQ_VARID (nid, "DMSC1", nvarid)
-  !nhl #ifdef NC_DOUBLE
-  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut,epais,lmt_dmsconc)
-  !nhl #else
-  !nhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_dmsconc)
-  !nhl #endif
-  IF (ierr .NE. NF_NOERR) THEN
+  ierr = nf90_inq_varid(nid, "DMSC1", nvarid)
+  !nhl #ifdef NC_DOUBLE
+  ierr = nf90_get_var(nid, nvarid,lmt_dmsconc, debut,epais)
+  !nhl #else
+  !nhl       ierr = nf90_get_var(nid, nvarid, lmt_dmsconc, debut, epais)
+  !nhl #endif
+  IF (ierr .NE. nf90_noerr) THEN
      PRINT*, 'Pb de lecture pour les sources dmsconc old'
      CALL exit(1)
@@ -204,11 +205,11 @@
   ELSEIF (flag_dms.EQ.4) THEN
   !
-  ierr = NF_INQ_VARID (nid, "DMSC2", nvarid)
-  !nhl #ifdef NC_DOUBLE
-  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut,epais,lmt_dmsconc)
-  !nhl #else
-  !nhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_dmsconc)
-  !nhl #endif
-  IF (ierr .NE. NF_NOERR) THEN
+  ierr = nf90_inq_varid(nid, "DMSC2", nvarid)
+  !nhl #ifdef NC_DOUBLE
+  ierr = nf90_get_var(nid, nvarid,lmt_dmsconc, debut,epais)
+  !nhl #else
+  !nhl       ierr = nf90_get_var(nid, nvarid, lmt_dmsconc, debut, epais)
+  !nhl #endif
+  IF (ierr .NE. nf90_noerr) THEN
      PRINT*, 'Pb de lecture pour les sources dms conc 2'
      CALL exit(1)
@@ -217,11 +218,11 @@
   ELSEIF (flag_dms.EQ.5) THEN
   !
-  ierr = NF_INQ_VARID (nid, "DMSC3", nvarid)
-  !nhl #ifdef NC_DOUBLE
-  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut,epais,lmt_dmsconc)
-  !nhl #else
-  !nhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_dmsconc)
-  !nhl #endif
-  IF (ierr .NE. NF_NOERR) THEN
+  ierr = nf90_inq_varid(nid, "DMSC3", nvarid)
+  !nhl #ifdef NC_DOUBLE
+  ierr = nf90_get_var(nid, nvarid,lmt_dmsconc, debut,epais)
+  !nhl #else
+  !nhl       ierr = nf90_get_var(nid, nvarid, lmt_dmsconc, debut, epais)
+  !nhl #endif
+  IF (ierr .NE. nf90_noerr) THEN
      PRINT*, 'Pb de lecture pour les sources dms conc 3'
      CALL exit(1)
@@ -230,11 +231,11 @@
   ELSEIF (flag_dms.EQ.6) THEN
   !
-  ierr = NF_INQ_VARID (nid, "DMSC4", nvarid)
-  !nhl #ifdef NC_DOUBLE
-  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut,epais,lmt_dmsconc)
-  !nhl #else
-  !nhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_dmsconc)
-  !nhl #endif
-  IF (ierr .NE. NF_NOERR) THEN
+  ierr = nf90_inq_varid(nid, "DMSC4", nvarid)
+  !nhl #ifdef NC_DOUBLE
+  ierr = nf90_get_var(nid, nvarid,lmt_dmsconc, debut,epais)
+  !nhl #else
+  !nhl       ierr = nf90_get_var(nid, nvarid, lmt_dmsconc, debut, epais)
+  !nhl #endif
+  IF (ierr .NE. nf90_noerr) THEN
      PRINT*, 'Pb de lecture pour les sources dms conc 4'
      CALL exit(1)
@@ -243,11 +244,11 @@
   ELSEIF (flag_dms.EQ.7) THEN
   !
-  ierr = NF_INQ_VARID (nid, "DMSC5", nvarid)
-  !nhl #ifdef NC_DOUBLE
-  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut,epais,lmt_dmsconc)
-  !nhl #else
-  !nhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_dmsconc)
-  !nhl #endif
-  IF (ierr .NE. NF_NOERR) THEN
+  ierr = nf90_inq_varid(nid, "DMSC5", nvarid)
+  !nhl #ifdef NC_DOUBLE
+  ierr = nf90_get_var(nid, nvarid,lmt_dmsconc, debut,epais)
+  !nhl #else
+  !nhl       ierr = nf90_get_var(nid, nvarid, lmt_dmsconc, debut, epais)
+  !nhl #endif
+  IF (ierr .NE. nf90_noerr) THEN
      PRINT*, 'Pb de lecture pour les sources dms conc 5'
      CALL exit(1)
@@ -256,11 +257,11 @@
   ELSEIF (flag_dms.EQ.8) THEN
   !
-  ierr = NF_INQ_VARID (nid, "DMSC6", nvarid)
-  !nhl #ifdef NC_DOUBLE
-  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut,epais,lmt_dmsconc)
-  !nhl #else
-  !nhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_dmsconc)
-  !nhl #endif
-  IF (ierr .NE. NF_NOERR) THEN
+  ierr = nf90_inq_varid(nid, "DMSC6", nvarid)
+  !nhl #ifdef NC_DOUBLE
+  ierr = nf90_get_var(nid, nvarid,lmt_dmsconc, debut,epais)
+  !nhl #else
+  !nhl       ierr = nf90_get_var(nid, nvarid, lmt_dmsconc, debut, epais)
+  !nhl #endif
+  IF (ierr .NE. nf90_noerr) THEN
      PRINT*, 'Pb de lecture pour les sources dms conc 6'
      CALL exit(1)
@@ -269,11 +270,11 @@
   ELSEIF (flag_dms.EQ.9) THEN
   !
-  ierr = NF_INQ_VARID (nid, "DMSC7", nvarid)
-  !nhl #ifdef NC_DOUBLE
-  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut,epais,lmt_dmsconc)
-  !nhl #else
-  !nhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_dmsconc)
-  !nhl #endif
-  IF (ierr .NE. NF_NOERR) THEN
+  ierr = nf90_inq_varid(nid, "DMSC7", nvarid)
+  !nhl #ifdef NC_DOUBLE
+  ierr = nf90_get_var(nid, nvarid,lmt_dmsconc, debut,epais)
+  !nhl #else
+  !nhl       ierr = nf90_get_var(nid, nvarid, lmt_dmsconc, debut, epais)
+  !nhl #endif
+  IF (ierr .NE. nf90_noerr) THEN
      PRINT*, 'Pb de lecture pour les sources dms conc 7'
      CALL exit(1)
@@ -282,11 +283,11 @@
   ELSEIF (flag_dms.EQ.10) THEN
   !
-  ierr = NF_INQ_VARID (nid, "DMSC8", nvarid)
-  !nhl #ifdef NC_DOUBLE
-  ierr = NF_GET_VARA_DOUBLE (nid, nvarid, debut,epais,lmt_dmsconc)
-  !nhl #else
-  !nhl       ierr = NF_GET_VARA_REAL (nid, nvarid, debut, epais, lmt_dmsconc)
-  !nhl #endif
-  IF (ierr .NE. NF_NOERR) THEN
+  ierr = nf90_inq_varid(nid, "DMSC8", nvarid)
+  !nhl #ifdef NC_DOUBLE
+  ierr = nf90_get_var(nid, nvarid,lmt_dmsconc, debut,epais)
+  !nhl #else
+  !nhl       ierr = nf90_get_var(nid, nvarid, lmt_dmsconc, debut, epais)
+  !nhl #endif
+  IF (ierr .NE. nf90_noerr) THEN
      PRINT*, 'Pb de lecture pour les sources dms conc 8'
      CALL exit(1)
@@ -300,5 +301,5 @@
   ENDIF
   !
-  ierr = NF_CLOSE(nid)
+  ierr = nf90_close(nid)
   !
   IF (flag_dms.LE.2) THEN
